import { OverviewImageSize } from '../OverviewImageModal.types';
import { useOverviewImageSize } from './useOverviewImageSize';
import { useOverviewImageUrl } from './useOverviewImageUrl';

interface UseOverviewImageArgs {
  containerRect?: DOMRect;
}

interface UseOverviewImageResults {
  imageUrl: string;
  size: OverviewImageSize;
}

export const useOverviewImage = ({
  containerRect,
}: UseOverviewImageArgs): UseOverviewImageResults => {
  const imageUrl = useOverviewImageUrl();
  const size = useOverviewImageSize({ containerRect });

  return {
    size,
    imageUrl,
  };
};
